KDE 4.2 PyKDE API Reference

- KDE's Python API

# HTMLParagraphElement Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.HTMLElement → DOM.Element → DOM.Node
Namespace: DOM

## Detailed Description

Paragraphs. See the <a href="http://www.w3.org/TR/REC-html40/struct/text.html#edef-P"> P element definition in HTML 4.0.

## Methods

| __init__ (self)
| __init__ (self, DOM.HTMLParagraphElement other)
| __init__ (self, DOM.Node other)
| __init__ (self, HTMLElementImpl impl)
DOM.DOMString | align (self)
| setAlign (self, DOM.DOMString a0)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.HTMLParagraphElement | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

__init__ | ( | self, |
|  | HTMLElementImpl | impl
| ) |  |  |

DOM.DOMString align | ( |  | self ) |

Horizontal text alignment. See the <a href="http://www.w3.org/TR/REC-html40/present/graphics.html#adef-align"> align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

setAlign | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see align